// $Id: HistogramOptions.h,v 1.11 2013/04/29 18:27:16 hupereir Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "XmlOptions.h"
#include "Util.h"

//_____________________________________________________
//! Default options installer
void installHistogramOptions( void )
{

  XmlOptions::get().setAutoDefault( true );
  XmlOptions::get().set<int>( "SAMPLES", 10 );
  XmlOptions::get().set<bool>( "SHOW_HOST", true );
  XmlOptions::get().set<bool>( "SHOW_LOAD", false );

  XmlOptions::get().set<int>( "WINDOW_WIDTH", 150 );
  XmlOptions::get().set<int>( "WINDOW_HEIGHT", 50 );
  XmlOptions::get().setAutoDefault( false );

}
