#ifndef OptionAnchorWidget_h
#define OptionAnchorWidget_h

// $Id: OptionAnchorWidget.h,v 1.9 2013/12/19 12:56:28 hupereir Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "AnchorWidget.h"
#include "OptionWidget.h"

#include <QString>

//__________________________________
class OptionAnchorWidget: public AnchorWidget, public OptionWidget
{

    Q_OBJECT

    public:

    //! constructor
    OptionAnchorWidget( QWidget*, const QString&, GridLayout* layout = 0 );

    //! read
    void read( const Options& );

    //! write
    void write( Options& ) const;

    Q_SIGNALS:

    //! modified
    void modified( void );

};

#endif
